# -*- encoding: utf-8 -*-
# stub: truncato 0.7.8 ruby lib

Gem::Specification.new do |s|
  s.name = "truncato"
  s.version = "0.7.8"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Jorge Manrubia"]
  s.date = "2016-10-31"
  s.description = "Ruby tool for truncating HTML strings keeping a valid HTML markup"
  s.email = "jorge.manrubia@gmail.com"
  s.extra_rdoc_files = ["LICENSE.txt", "README.md"]
  s.files = ["LICENSE.txt", "README.md", "Rakefile", "lib/truncato.rb", "lib/truncato/truncated_sax_document.rb", "lib/truncato/truncato.rb", "lib/truncato/version.rb"]
  s.homepage = "https://github.com/jorgemanrubia/truncato"
  s.licenses = ["MIT"]
  s.rubygems_version = "2.5.1"
  s.summary = "A tool for truncating HTML strings efficiently"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<htmlentities>, ["~> 4.3.1"])
      s.add_runtime_dependency(%q<nokogiri>, ["~> 1.6.1"])
      s.add_development_dependency(%q<rake>, ["~> 10.1.1"])
      s.add_development_dependency(%q<rspec>, ["~> 2.14.1"])
    else
      s.add_dependency(%q<htmlentities>, ["~> 4.3.1"])
      s.add_dependency(%q<nokogiri>, ["~> 1.6.1"])
      s.add_dependency(%q<rake>, ["~> 10.1.1"])
      s.add_dependency(%q<rspec>, ["~> 2.14.1"])
    end
  else
    s.add_dependency(%q<htmlentities>, ["~> 4.3.1"])
    s.add_dependency(%q<nokogiri>, ["~> 1.6.1"])
    s.add_dependency(%q<rake>, ["~> 10.1.1"])
    s.add_dependency(%q<rspec>, ["~> 2.14.1"])
  end
end
